Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000132Core InformExtensionspublic2010-06-26 08:442010-10-28 00:31
ReporterEric Eve 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000132: Paste button breaks quoted paragraph breaks in extension examples
DescriptionIf an author creates a extension with an example that has quoted paragraph breaks, the paragraph breaks are not properly carried across properly to the code pane on clicking the paste button.

It's possible this is a Windows-specific problem, perhaps to do with the fact that Windows uses CR+LF (ASCIĀ£ 13 + ASCII 10) for a line break, while Unix (IIRC) uses only LF.
Minimal Source Text To Reproduce
Tty clicking the paste button in the Example game (The Tribune's Report) in my "Conversation 
Rules" extension. The type of code being messed up looks like this in the Extension code:

An arrest rule when saying yes:
say "'Yes, sir -- or at least we tried to, but the temple police got in our way and the wretched 
fellow managed to escape.'

'Damn!' Pilate swears, 'We'll have to see if Caiaphas can track him down for us.'[convnode null-node]";

rule succeeds.

But comes over like this when the paste button is clicked:

An arrest rule when saying yes:
say "'Yes, sir -- or at least we tried to, but the temple police got in our way and the wretched 
fellow managed to escape.'	'Damn!' Pilate swears, 'We'll have to see if Caiaphas can track him down 
for us.'[convnode null-node]";
rule succeeds.
Additional InformationIt's possible that this should be described as a "Core Inform" rather than a "Windows IDE" problem, depending where the "paste button" function belongs, but it may still perhaps be Windows-specific in its effect.
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0000161)
Juhana (reporter)
2010-06-26 09:36

The result is the same in the Mac IDE.
(0000162)
jmcgrew (administrator)
2010-06-26 14:31
edited on: 2010-06-29 16:53

I believe the pages are generated by NI, and Juhana confirms this happens on OS X too, so moving to Core Inform.

(0000189)
EmacsUser (manager)
2010-06-29 16:56

Confirmed, only for literal newlines in quoted text. [line break] and [paragraph break] are preserved correctly, so a workaround is to use them.
(0000190)
EmacsUser (manager)
2010-06-29 17:02

As jmcgrew pointed out, one of the newlines is being replaced with character 127.
(0000630)
graham (administrator)
2010-09-29 10:12

Fixed.

- Issue History
Date Modified Username Field Change
2010-06-26 08:44 Eric Eve New Issue
2010-06-26 09:36 Juhana Note Added: 0000161
2010-06-26 14:26 jmcgrew Project Windows Inform application => Core Inform
2010-06-26 14:31 jmcgrew Effect => (cosmetic) Index is created incorrectly
2010-06-26 14:31 jmcgrew Note Added: 0000162
2010-06-26 14:31 jmcgrew Severity mild => cosmetic
2010-06-26 14:31 jmcgrew Status new => acknowledged
2010-06-26 14:31 jmcgrew Category User Interface => Extensions
2010-06-29 16:53 jmcgrew Note Edited: 0000162 View Revisions
2010-06-29 16:56 EmacsUser Note Added: 0000189
2010-06-29 16:56 EmacsUser Status acknowledged => confirmed
2010-06-29 17:02 EmacsUser Note Added: 0000190
2010-09-29 10:12 graham Note Added: 0000630
2010-09-29 10:12 graham Status confirmed => resolved
2010-09-29 10:12 graham Resolution open => fixed
2010-09-29 10:12 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker